: Class CRLFInputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dog.mail.util
Class CRLFInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--java.io.PushbackInputStream
                        |
                        +--dog.mail.util.CRLFInputStream

public class CRLFInputStream
extends java.io.PushbackInputStream

An input stream that filters out CR/LF pairs into LFs.

Field Summary
`static int` | `CR` The CR octet.
`static int` | `LF` The LF octet.

Fields inherited from class java.io.PushbackInputStream
`buf, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CRLFInputStream(java.io.InputStream in)` Constructs a CR/LF input stream connected to the specified input stream.

Method Summary
`int` | `read()` Reads the next byte of data from this input stream.
`int` | `read(byte[] b)` Reads up to b.length bytes of data from this input stream into an array of bytes.
`int` | `read(byte[] b, int off, int len)` Reads up to len bytes of data from this input stream into an array of bytes, starting at the specified offset.
`java.lang.String` | `readLine()` Reads a line of input terminated by LF.

Methods inherited from class java.io.PushbackInputStream
`available, close, markSupported, skip, unread, unread, unread`

Methods inherited from class java.io.FilterInputStream
`mark, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CR

    public static final int CR

  The CR octet.

### LF

    public static final int LF

  The LF octet.

Constructor Detail

### CRLFInputStream

    public CRLFInputStream(java.io.InputStream in)

  Constructs a CR/LF input stream connected to the specified input stream.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Reads the next byte of data from this input stream. Returns -1 if the end of the stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.PushbackInputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Reads up to b.length bytes of data from this input stream into an array of bytes. Returns -1 if the end of the stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Reads up to len bytes of data from this input stream into an array of bytes, starting at the specified offset. Returns -1 if the end of the stream has been reached.
  Throws:
    java.io.IOException - if an I/O error occurs
  Overrides:
    read in class java.io.PushbackInputStream

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Reads a line of input terminated by LF.
  Throws:
    java.io.IOException - if an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD